Dist::Build::XS::Alien(3pm)

NAME
Dist::Build::XS::Alien - Dist::Build extension to use Alien modules.

VERSION
version 0.025

SYNOPSIS
 load_extension('Dist::Build::XS');
 load_extension('Dist::Build::XS::Alien');

 add_xs(
     module => 'Foo::Bar',
     alien  => 'xz',
 );

DESCRIPTION
This module is an extension of Dist::Build::XS, adding an additional argument to the "add_xs" function: "alien" (or alternatively "external"). It will add the appropriate arguments for that alien module to the build. It can be either a string or a list of strings. If the strings don't contain "::" they're prepended with 'Alien::' before the module is loaded.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2024 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.